AWS IoT Device SDK C++ v2: Aws::Iotshadow::NamedShadowUpdatedSubscriptionRequest Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotshadow::NamedShadowUpdatedSubscriptionRequest Class Referencefinal

`#include <NamedShadowUpdatedSubscriptionRequest.h>`

## Public Member Functions
| NamedShadowUpdatedSubscriptionRequest ()=default
| NamedShadowUpdatedSubscriptionRequest (const Crt::JsonView &doc)
NamedShadowUpdatedSubscriptionRequest & | operator= (const Crt::JsonView &doc)
void | SerializeToObject (Crt::JsonObject &doc) const

## Public Attributes
Aws::Crt::Optional< Aws::Crt::String > | ShadowName
Aws::Crt::Optional< Aws::Crt::String > | ThingName

## Detailed Description

Data needed to subscribe to a device's NamedShadowUpdated events.

## Constructor & Destructor Documentation

## ◆ NamedShadowUpdatedSubscriptionRequest() [1/2]

Aws::Iotshadow::NamedShadowUpdatedSubscriptionRequest::NamedShadowUpdatedSubscriptionRequest | ( |  | ) |
| default

## ◆ NamedShadowUpdatedSubscriptionRequest() [2/2]

Aws::Iotshadow::NamedShadowUpdatedSubscriptionRequest::NamedShadowUpdatedSubscriptionRequest | ( | const Crt::JsonView & | doc | ) |

## Member Function Documentation

## ◆ operator=()

NamedShadowUpdatedSubscriptionRequest & Aws::Iotshadow::NamedShadowUpdatedSubscriptionRequest::operator= | ( | const Crt::JsonView & | doc | ) |

## ◆ SerializeToObject()

void Aws::Iotshadow::NamedShadowUpdatedSubscriptionRequest::SerializeToObject | ( | Crt::JsonObject & | doc | ) | const

## Member Data Documentation

## ◆ ShadowName

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotshadow::NamedShadowUpdatedSubscriptionRequest::ShadowName

Name of the shadow to get NamedShadowUpdated events for.

## ◆ ThingName

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotshadow::NamedShadowUpdatedSubscriptionRequest::ThingName

Name of the AWS IoT thing to get NamedShadowUpdated events for.

The documentation for this class was generated from the following files:

- shadow/include/aws/iotshadow/NamedShadowUpdatedSubscriptionRequest.h
- shadow/source/NamedShadowUpdatedSubscriptionRequest.cpp